Skip to content
Start here

Fetch active livestream session details

client.RealtimeKit.Livestreams.GetActiveLivestreamsForLivestreamID(ctx, appID, livestreamID, query) (*LivestreamGetActiveLivestreamsForLivestreamIDResponse, error)
GET/accounts/{account_id}/realtime/kit/{app_id}/livestreams/{livestream_id}/active-livestream-session

Returns details of all active livestreams for the given livestream ID. Retreive the livestream ID using the Start livestreaming a meeting API.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appID string

The app identifier tag.

maxLength32
livestreamID string
query LivestreamGetActiveLivestreamsForLivestreamIDParams
AccountID param.Field[string]Optional

The account identifier tag.

maxLength32
ReturnsExpand Collapse
type LivestreamGetActiveLivestreamsForLivestreamIDResponse struct{…}
Data LivestreamGetActiveLivestreamsForLivestreamIDResponseDataOptional
Livestream LivestreamGetActiveLivestreamsForLivestreamIDResponseDataLivestreamOptional
ID stringOptional
CreatedAt TimeOptional

Timestamp the object was created at. The time is returned in ISO format.

formatdate-time
Disabled stringOptional

Specifies if the livestream was disabled.

IngestServer stringOptional

The server URL to which the RTMP encoder sends the video and audio data.

MeetingID stringOptional

ID of the meeting.

Name stringOptional

Name of the livestream.

PlaybackURL stringOptional

The web address that viewers can use to watch the livestream.

Status LivestreamGetActiveLivestreamsForLivestreamIDResponseDataLivestreamStatusOptional
One of the following:
const LivestreamGetActiveLivestreamsForLivestreamIDResponseDataLivestreamStatusLive LivestreamGetActiveLivestreamsForLivestreamIDResponseDataLivestreamStatus = "LIVE"
const LivestreamGetActiveLivestreamsForLivestreamIDResponseDataLivestreamStatusIdle LivestreamGetActiveLivestreamsForLivestreamIDResponseDataLivestreamStatus = "IDLE"
const LivestreamGetActiveLivestreamsForLivestreamIDResponseDataLivestreamStatusErrored LivestreamGetActiveLivestreamsForLivestreamIDResponseDataLivestreamStatus = "ERRORED"
const LivestreamGetActiveLivestreamsForLivestreamIDResponseDataLivestreamStatusInvoked LivestreamGetActiveLivestreamsForLivestreamIDResponseDataLivestreamStatus = "INVOKED"
StreamKey stringOptional

Unique key for accessing each livestream.

UpdatedAt TimeOptional

Timestamp the object was updated at. The time is returned in ISO format.

formatdate-time
Session LivestreamGetActiveLivestreamsForLivestreamIDResponseDataSessionOptional
ID stringOptional
CreatedAt TimeOptional

Timestamp the object was created at. The time is returned in ISO format.

formatdate-time
ErrMessage stringOptional
IngestSeconds stringOptional

The time duration for which the input was given or the meeting was streamed.

InvokedTime TimeOptional

Timestamp the object was invoked. The time is returned in ISO format.

formatdate-time
LivestreamID stringOptional
StartedTime TimeOptional

Timestamp the object was started. The time is returned in ISO format.

formatdate-time
StoppedTime TimeOptional

Timestamp the object was stopped. The time is returned in ISO format.

formatdate-time
UpdatedAt TimeOptional

Timestamp the object was updated at. The time is returned in ISO format.

formatdate-time
ViewerSeconds stringOptional

The total view time for which the viewers watched the stream.

Success boolOptional

Fetch active livestream session details

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Livestreams.GetActiveLivestreamsForLivestreamID(
    context.TODO(),
    "app_id",
    "livestream_id",
    realtime_kit.LivestreamGetActiveLivestreamsForLivestreamIDParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
{
  "data": {
    "livestream": {
      "id": "id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "disabled": "disabled",
      "ingest_server": "ingest_server",
      "meeting_id": "meeting_id",
      "name": "name",
      "playback_url": "playback_url",
      "status": "LIVE",
      "stream_key": "stream_key",
      "updated_at": "2019-12-27T18:11:19.117Z"
    },
    "session": {
      "id": "id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "err_message": "err_message",
      "ingest_seconds": "ingest_seconds",
      "invoked_time": "2019-12-27T18:11:19.117Z",
      "livestream_id": "livestream_id",
      "started_time": "2019-12-27T18:11:19.117Z",
      "stopped_time": "2019-12-27T18:11:19.117Z",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "viewer_seconds": "viewer_seconds"
    }
  },
  "success": true
}
Returns Examples
{
  "data": {
    "livestream": {
      "id": "id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "disabled": "disabled",
      "ingest_server": "ingest_server",
      "meeting_id": "meeting_id",
      "name": "name",
      "playback_url": "playback_url",
      "status": "LIVE",
      "stream_key": "stream_key",
      "updated_at": "2019-12-27T18:11:19.117Z"
    },
    "session": {
      "id": "id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "err_message": "err_message",
      "ingest_seconds": "ingest_seconds",
      "invoked_time": "2019-12-27T18:11:19.117Z",
      "livestream_id": "livestream_id",
      "started_time": "2019-12-27T18:11:19.117Z",
      "stopped_time": "2019-12-27T18:11:19.117Z",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "viewer_seconds": "viewer_seconds"
    }
  },
  "success": true
}